## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEWebServiceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEWebServiceImpl

All Implemented Interfaces:
  SybaseASEWebService, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogWebService

    public class SybaseASEWebServiceImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
implements SybaseASEWebService

An implementation of the model object 'Sybase ASE Web Service'.

The following features are implemented:

- `Service id`
- `Service type`
- `Auth required`
- `Secure required`
- `Url path`
- `User name`
- `Parameter`
- `Statement`
- `Remarks`
- `Database`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDatabase(SybaseASEDatabase newDatabase, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getAuth_required()`
`SybaseASEDatabase` `getDatabase()`
`java.lang.String` `getParameter()`
`java.lang.String` `getRemarks()`
`java.lang.String` `getSecure_required()`
`long` `getService_id()`
`java.lang.String` `getService_type()`
`java.lang.String` `getStatement()`
`java.lang.String` `getUrl_path()`
`java.lang.String` `getUser_name()`
`void` `setAuth_required(java.lang.String newAuth_required)`
`void` `setDatabase(SybaseASEDatabase newDatabase)`
`void` `setParameter(java.lang.String newParameter)`
`void` `setRemarks(java.lang.String newRemarks)`
`void` `setSecure_required(java.lang.String newSecure_required)`
`void` `setService_id(long newService_id)`
`void` `setService_type(java.lang.String newService_type)`
`void` `setStatement(java.lang.String newStatement)`
`void` `setUrl_path(java.lang.String newUrl_path)`
`void` `setUser_name(java.lang.String newUser_name)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getService_id

    public long getService_id()

  Specified by:
    `getService_id` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Service id' attribute.
  See Also:
    `SybaseASEWebService.setService_id(long)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Service_id()`

### setService_id

    public void setService_id(long newService_id)

  Specified by:
    `setService_id` in interface `SybaseASEWebService`
  Parameters:
    `newService_id` - the new value of the 'Service id' attribute.
  See Also:
    `SybaseASEWebService.getService_id()`

### getService_type

    public java.lang.String getService_type()

  Specified by:
    `getService_type` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Service type' attribute.
  See Also:
    `SybaseASEWebService.setService_type(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Service_type()`

### setService_type

    public void setService_type(java.lang.String newService_type)

  Specified by:
    `setService_type` in interface `SybaseASEWebService`
  Parameters:
    `newService_type` - the new value of the 'Service type' attribute.
  See Also:
    `SybaseASEWebService.getService_type()`

### getAuth_required

    public java.lang.String getAuth_required()

  Specified by:
    `getAuth_required` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Auth required' attribute.
  See Also:
    `SybaseASEWebService.setAuth_required(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Auth_required()`

### setAuth_required

    public void setAuth_required(java.lang.String newAuth_required)

  Specified by:
    `setAuth_required` in interface `SybaseASEWebService`
  Parameters:
    `newAuth_required` - the new value of the 'Auth required' attribute.
  See Also:
    `SybaseASEWebService.getAuth_required()`

### getSecure_required

    public java.lang.String getSecure_required()

  Specified by:
    `getSecure_required` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Secure required' attribute.
  See Also:
    `SybaseASEWebService.setSecure_required(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Secure_required()`

### setSecure_required

    public void setSecure_required(java.lang.String newSecure_required)

  Specified by:
    `setSecure_required` in interface `SybaseASEWebService`
  Parameters:
    `newSecure_required` - the new value of the 'Secure required' attribute.
  See Also:
    `SybaseASEWebService.getSecure_required()`

### getUrl_path

    public java.lang.String getUrl_path()

  Specified by:
    `getUrl_path` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Url path' attribute.
  See Also:
    `SybaseASEWebService.setUrl_path(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Url_path()`

### setUrl_path

    public void setUrl_path(java.lang.String newUrl_path)

  Specified by:
    `setUrl_path` in interface `SybaseASEWebService`
  Parameters:
    `newUrl_path` - the new value of the 'Url path' attribute.
  See Also:
    `SybaseASEWebService.getUrl_path()`

### getUser_name

    public java.lang.String getUser_name()

  Specified by:
    `getUser_name` in interface `SybaseASEWebService`
  Returns:
    the value of the 'User name' attribute.
  See Also:
    `SybaseASEWebService.setUser_name(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_User_name()`

### setUser_name

    public void setUser_name(java.lang.String newUser_name)

  Specified by:
    `setUser_name` in interface `SybaseASEWebService`
  Parameters:
    `newUser_name` - the new value of the 'User name' attribute.
  See Also:
    `SybaseASEWebService.getUser_name()`

### getParameter

    public java.lang.String getParameter()

  Specified by:
    `getParameter` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Parameter' attribute.
  See Also:
    `SybaseASEWebService.setParameter(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Parameter()`

### setParameter

    public void setParameter(java.lang.String newParameter)

  Specified by:
    `setParameter` in interface `SybaseASEWebService`
  Parameters:
    `newParameter` - the new value of the 'Parameter' attribute.
  See Also:
    `SybaseASEWebService.getParameter()`

### getStatement

    public java.lang.String getStatement()

  Specified by:
    `getStatement` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Statement' attribute.
  See Also:
    `SybaseASEWebService.setStatement(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Statement()`

### setStatement

    public void setStatement(java.lang.String newStatement)

  Specified by:
    `setStatement` in interface `SybaseASEWebService`
  Parameters:
    `newStatement` - the new value of the 'Statement' attribute.
  See Also:
    `SybaseASEWebService.getStatement()`

### getRemarks

    public java.lang.String getRemarks()

  Specified by:
    `getRemarks` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Remarks' attribute.
  See Also:
    `SybaseASEWebService.setRemarks(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Remarks()`

### setRemarks

    public void setRemarks(java.lang.String newRemarks)

  Specified by:
    `setRemarks` in interface `SybaseASEWebService`
  Parameters:
    `newRemarks` - the new value of the 'Remarks' attribute.
  See Also:
    `SybaseASEWebService.getRemarks()`

### getDatabase

    public SybaseASEDatabase getDatabase()

  Specified by:
    `getDatabase` in interface `SybaseASEWebService`
  Returns:
    the value of the 'Database' container reference.
  See Also:
    `SybaseASEWebService.setDatabase(SybaseASEDatabase)`, `SybaseasesqlmodelPackage.getSybaseASEWebService_Database()`, `SybaseASEDatabase.getWebServices()`

### basicSetDatabase

    public org.eclipse.emf.common.notify.NotificationChain basicSetDatabase(SybaseASEDatabase newDatabase,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setDatabase

    public void setDatabase(SybaseASEDatabase newDatabase)

  Specified by:
    `setDatabase` in interface `SybaseASEWebService`
  Parameters:
    `newDatabase` - the new value of the 'Database' container reference.
  See Also:
    `SybaseASEWebService.getDatabase()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`